Bug 355511 - Firefox backspace button action should be "Previous Page" not "Page Up"
Firefox backspace button action should be "Previous Page" not "Page Up"
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 18:33 EDT by Mark
Modified: 2009-09-21 17:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 13:49:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 358764 None None None Never

  None (edit)
Description Mark 2007-10-27 18:33:13 EDT
Hey,

i was just wondering why Firefox had page up action bound to the backspace
button. and i end up reading this bug report:
https://bugzilla.mozilla.org/show_bug.cgi?id=358764

Now the default action for Firefox in fedora is "page up" and i think nearly
every keyboard in the world _has_ a page up key so please remove that silly
default action. A patch for this to give the backspace the "previous page" (or
whatever you want to call it) action is very simple:

type (in the address bar): about:config
find: browser.backspace_action
The value is likely to be on: 1. Change that value to 0 and backspace is acting
the way it should do.

I don't know where firefox is getting the "logic" to make firefox default
backspace action "previous page" in windows and "page up" in linux.. just
doesn't make sense to me.

And could this be patched in the firefox that is in the fedora repo?
or (if fedora chooses not to patch it to the "previous page" action) than make
it no action at all!! "page up" is just not good.

Thanx,
Mark.
Comment 1 Matěj Cepl 2007-10-29 13:49:16 EDT
I am quite sure that this issue whould be resolved upstream and not in the
individual repositories of Linux distributions. Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.